public class UE18Aufgabe11 {

	public static void main(String[] args) {
		Gramm gramm = new Gramm(2);
		gramm.print(); // Ausgabe: 2.0 Gramm

		Unze unze = new Unze(4);
		unze.print(); // Ausgabe: 4.0 Unzen

		Pound pount = new Pound(6);
		pount.print(); // Ausgabe: 6.0 lb

		gramm.addiere(unze); // 2.0 Gramm + 4.0 Unzen
		gramm.print(); // Ausgabe: 115.4 Gramm

		pount.addiere(gramm); // 6.0 lb + 115.4 Gramm
		pount.print(); // Ausgabe: 6.254414779867282 lb

	}
}

class Gramm {
	double gramm;

	Gramm(double anzahl) {
		this.gramm = anzahl;
	}

	void print() {
		System.out.println(this.gramm + " Gramm");
	}

	void addiere(Gramm g) {
		this.gramm += g.gramm;
	}
}

class Unze extends Gramm {

	final static double faktor = 28.35;

	Unze(double anzahl) {
		super(anzahl * faktor);
	}

	void print() {
		System.out.println(this.gramm / faktor + " Unzen");
	}

}

class Pound extends Gramm {

	final static double faktor = 453.59;

	Pound(double anzahl) {
		super(anzahl * faktor);
	}

	void print() {
		System.out.println(this.gramm / faktor + " lb");
	}

}
