class ZahlenSpieler {
	public int naechsteGeradeZahl(int aktuelleZahl) {
		return aktuelleZahl;
	}
}

public class UE18Aufgabe7 {
	int zahl;

	ZahlenSpieler a, b;

	public UE18Aufgabe7(ZahlenSpieler a, ZahlenSpieler b) {
		this.a = a;
		this.b = b;
		this.zahl = 0;
	}

	public void spielen() {
		ZahlenSpieler akt = a;
		while (true) {
			int erg;
			if ((erg = akt.naechsteGeradeZahl(this.zahl)) != this.zahl + 2) {
				System.out.println("Falsch; verloren!");
				break;
			}
			this.zahl = erg;
			System.out.println(this.zahl);
			if (akt == a)
				akt = b;
			else
				akt = a;
		}
	}

	public static void main(String[] args) {
		ZahlenSpieler a = new MenschZahlenSpieler();
		ZahlenSpieler b = new ComputerZahlenSpieler();
		UE18Aufgabe7 spiel = new UE18Aufgabe7(a, b);
		spiel.spielen();
	}
}

class MenschZahlenSpieler extends ZahlenSpieler {
	public int naechsteGeradeZahl(int aktuelleZahl) {
		return IO.readInt("Naechste gerade Zahl nach " + aktuelleZahl + ": ");
	}
}

class ComputerZahlenSpieler extends ZahlenSpieler {
	public int naechsteGeradeZahl(int aktuelleZahl) {
		return aktuelleZahl + 2;
	}
}

